#ifndef __BOARD_H__
#define __BOARD_H__

/* Utility functions. */

void udelay(unsigned long usec);
unsigned long get_memory_size(void);

#ifdef CONFIG_CPU_JZ4730
#include "jz4730.h"
#define READ_TIMER __ost_get_count(TIMER_CHAN)	/* macro to read the 32 bit timer */
#define TIMER_FDATA 0xffffffff			/* timer full data value */
#else
#include "jz4740.h"
#define READ_TIMER REG_TCU_TCNT(TIMER_CHAN)	/* macro to read the 16 bit timer */
#define TIMER_FDATA 0xffff			/* timer full data value */
#endif

#define TIMER_HZ CONFIG_SYS_HZ
#define TIMER_CHAN 0

#endif /* __BOARD_H__ */
